summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorCyano Hao2017-07-31 02:18:05 +0800
committerCyano Hao2017-07-31 02:18:05 +0800
commit13f5aac0fcca5b7242ba5d8b45f5c720308bc601 (patch)
treeb3854faca4ba3180d88001688ca7d8a5b8365871
parent90501d36de282c6402971fd8cf9fb3b7e7ddb611 (diff)
downloadaur-13f5aac0fcca5b7242ba5d8b45f5c720308bc601.tar.gz
minor update, add a script for updating source files
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD2
-rwxr-xr-xupdate-source-files.sh28
3 files changed, 36 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 8ba312aa4f0..807e79d4225 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = firefox-nightly-en-gb
pkgdesc = Standalone Web Browser from Mozilla — Nightly build (en-GB)
- pkgver = 56.0a1.20170728.100358
+ pkgver = 56.0a1.20170730.100307
pkgrel = 1
url = https://www.mozilla.org/en-GB/firefox/nightly
arch = i686
@@ -28,15 +28,15 @@ pkgbase = firefox-nightly-en-gb
validpgpkeys = 14F26682D0916CDD81E37B6D61B7B526D98F0353
sha512sums = b514abafc559ec03a4222442fa4306db257c3de9e18ed91a0b37cc9d7058a8e08a241442e54a67659a3ab4512a5dae6a0b94ea7a33d08ef0b8a76a9eac902095
sha512sums = bae5a952d9b92e7a0ccc82f2caac3578e0368ea6676f0a4bc69d3ce276ef4f70802888f882dda53f9eb8e52911fb31e09ef497188bcd630762e1c0f5293cc010
- source_i686 = 20170728-firefox-56.0a1.en-GB.linux-i686.tar.bz2::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-i686.tar.bz2
- source_i686 = 20170728-firefox-56.0a1.en-GB.linux-i686.tar.bz2.asc::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-i686.tar.bz2.asc
- source_i686 = 20170728-firefox-56.0a1.en-US.linux-i686.txt::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/firefox-56.0a1.en-US.linux-i686.txt
+ source_i686 = 20170730-firefox-56.0a1.en-GB.linux-i686.tar.bz2::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-i686.tar.bz2
+ source_i686 = 20170730-firefox-56.0a1.en-GB.linux-i686.tar.bz2.asc::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-i686.tar.bz2.asc
+ source_i686 = 20170730-firefox-56.0a1.en-US.linux-i686.txt::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/firefox-56.0a1.en-US.linux-i686.txt
sha512sums_i686 = SKIP
sha512sums_i686 = SKIP
sha512sums_i686 = SKIP
- source_x86_64 = 20170728-firefox-56.0a1.en-GB.linux-x86_64.tar.bz2::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-x86_64.tar.bz2
- source_x86_64 = 20170728-firefox-56.0a1.en-GB.linux-x86_64.tar.bz2.asc::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-x86_64.tar.bz2.asc
- source_x86_64 = 20170728-firefox-56.0a1.en-US.linux-x86_64.txt::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/firefox-56.0a1.en-US.linux-x86_64.txt
+ source_x86_64 = 20170730-firefox-56.0a1.en-GB.linux-x86_64.tar.bz2::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-x86_64.tar.bz2
+ source_x86_64 = 20170730-firefox-56.0a1.en-GB.linux-x86_64.tar.bz2.asc::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central-l10n/firefox-56.0a1.en-GB.linux-x86_64.tar.bz2.asc
+ source_x86_64 = 20170730-firefox-56.0a1.en-US.linux-x86_64.txt::https://ftp.mozilla.org/pub/firefox/nightly/latest-mozilla-central/firefox-56.0a1.en-US.linux-x86_64.txt
sha512sums_x86_64 = SKIP
sha512sums_x86_64 = SKIP
sha512sums_x86_64 = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index bae0cdad233..fb804373a30 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -10,7 +10,7 @@ pkgname=${_name}-${_channel}-${_lang,,}
pkgdesc="Standalone Web Browser from Mozilla — Nightly build (${_lang})"
url="https://www.mozilla.org/${_lang}/${_name}/${_channel}"
_version=56.0a1
-pkgver=56.0a1.20170728.100358
+pkgver=56.0a1.20170730.100307
pkgrel=1
arch=('i686' 'x86_64')
license=('MPL' 'GPL' 'LGPL')
diff --git a/update-source-files.sh b/update-source-files.sh
new file mode 100755
index 00000000000..11447767814
--- /dev/null
+++ b/update-source-files.sh
@@ -0,0 +1,28 @@
+#! /bin/bash
+# Author: Cyano Hao < c at cyano dot cn >
+
+# This script intends to solve the following problems:
+# 1. I made a package yesterday, and there is no new build on `ftp.mozilla.org` (of cource I hate redundant fetchings);
+# 2. I made a package today, but there is a new build on `ftp.mozilla.org`.
+
+source /etc/makepkg.conf
+source ./PKGBUILD
+
+ls | grep "${_src_en_us}-${CARCH}.txt" >/dev/null
+if (( "$?" == 0 )) ; then
+ latest_nightly_build_time=$(eval curl \${source_${CARCH}[2]#*::} | head -n1)
+ local_source_build_time=$(head -n1 $(ls | grep "${_src_en_us}-${CARCH}.txt" | tail -n1))
+ local_source_download_date=$(ls | grep "${_src_en_us}-${CARCH}.txt" | tail -n1 | cut -c-8)
+ today=$(date --utc +%Y%m%d)
+ if [[ (( "${local_source_build_time}" == "${latest_nightly_build_time}" )) &&
+ (( "${local_source_download_date}" < "${today}" )) ]]
+ then
+ for file in ${local_source_download_date}-*-${CARCH}.{tar.bz2{,.asc},txt} ; do
+ mv ${file} ${today}-${file#${local_source_download_date}-}
+ done
+ elif [[ (( "${local_source_build_time}" < "${latest_nightly_build_time}" )) &&
+ (( "${local_source_download_date}" == "${today}" )) ]]
+ then
+ rm ${today}-*-${CARCH}.{tar.bz2{,.asc},txt}
+ fi
+fi